order.cancelled
Sent when an order is cancelled on the PAR / restaurant side.
Headers
- Type: stringX
- Webhook - Signature requiredsha256=<hex>— HMAC-SHA256 of the raw JSON body using yourwebhook_signing_secret. - Type: stringFormat: uuidX
- Idempotency - Key requiredUnique id for this delivery attempt; use for deduplication on your receiver.
Body·
required
application/json
Order cancelled on the PAR / restaurant side.
- enumeventconst:order.cancelledrequired
- Type: stringorder
_id requiredCore / PAR MENU order UUID
- Type: stringFormat: date-timetimestamprequired
the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: integercancellation
_reason _id Core cancellation reason code
- Type: string | nulldetails
Additional cancellation context
- Type: stringexternal
_reference Partner order reference from
POST /orders
Responses
- 200
Partner acknowledged the webhook
Request Example for post/outbound-webhooks/order-cancelled
curl https://SERVER_NAME_GOES_HERE.menu.app/outbound-webhooks/order-cancelled \
--request POST \
--header 'X-Webhook-Signature: ' \
--header 'X-Idempotency-Key: ' \
--header 'Content-Type: application/json' \
--data '{
"event": "order.cancelled",
"order_id": "644dc47a-ff3c-4cbc-b1ca-5e3809575c22",
"external_reference": "PARTNER-ORD-90016",
"cancellation_reason_id": 5,
"details": "Item out of stock",
"timestamp": "2026-03-13T12:10:00Z"
}'
No Body
